当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [原创]Ati较老显卡在9.04下的官方驱动支持——给予被AMD抛弃的兄弟们支持
帖子发表于 : 2009-05-20 16:18 

注册: 2008-09-13 17:21
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
文:jacezhang

写此文的原因和目的:

宝宝用的是Thinkpad T60,由于想尝鲜9.04,因此升级,发现Ati对Xserver的支持仅限于1.5版本。
因此Ati较老显卡在新版的ubuntu下就比较凄惨,这里我介绍的办法是比较完美的,若有错误,也请各位斧正。


嘎嘎,闲话少唠。

步骤:


1.在系统下调出命令行[我是gnome-terminal],然后sudo su,方便接下来的处理。

1.1在su的权限下,键入
cp /etc/apt/sources.list /etc/apt/sources.backup
/*将里面内容拷贝到一个文档中,方便保存。*/
gedit /etc/apt/sources.list
/*将网上8.10的源贴进去,若是懒见注1*/

1.2 在命令行下键入apt-get remove xserver /*害事的1.6就被我们干掉了*/







2.在保存好之后8.10的源之后
capt-get update /*若是非管理员权限,请在之后自动加入sudo*/

3.等待片刻
在命令行下键入apt-cache showpkg xserver
/*在这里一般会有2个版本的xserver,9.04系统的1.6一个版本,还有源里获得的1.5,取决于你保留了几个xserver版本的缓存*/

3.2在命令行下键入aptitude install xserver-xorg-core=2:1.5.2-2ubuntu3 或是 aptitude safe-upgrade xserver-xorg-core=2:1.5.2-2ubuntu3[前一种方法失败时可以尝试]
/*这是当前8.10下最新的xserver-xorg,正好合适我们 :em11 嘎嘎*/

3.3在命令行下键入aptitude hold xserver-xorg-core
/*锁定这个版本,以后就不会被傻傻的自动更新给干掉,当然amd反省之后我们还是可以手动解锁的 :em11 嘎嘎*/


4.Reboot之后安装官方的闭源[注2],成功,再次重启成功。嘎嘎,没有任何不适!
那种8.10的感觉又会来了。


5.把源里的内容换回9.10吧
在命令行下键入sudo cp /etc/apt/sources.backup /etc/apt/sources.list


希望各位成功吧 :em04

Just enjoy it!




注1:8.10源:
---------------------------
deb http://archive.ubuntu.com/ubuntu/ intrepid main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-security main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-updates main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-proposed main restricted universe multiverse
deb http://archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ intrepid main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ intrepid-security main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ intrepid-updates main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ intrepid-proposed main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu/ intrepid-backports main restricted universe multiverse
------------------------
注2:chmod 777 *.run
sh *.run
aticonfig --initial -f


最后由 jacezhang 编辑于 2009-05-20 16:22,总共编辑了 1 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: [原创]Ati较老显卡在9.04下的官方驱动支持——给予被AMD抛弃的兄弟们支持
帖子发表于 : 2009-05-20 16:22 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
呃...无论如何,还是不建议混源使用. 如果非要装低版本的xserver-xorg,不如下载deb包,手工装.


_________________
关注我的blog: ε==3


页首
 用户资料  
 
3 楼 
 文章标题 : Re: [原创]Ati较老显卡在9.04下的官方驱动支持——给予被AMD抛弃的兄弟们支持
帖子发表于 : 2009-05-21 0:25 
头像

注册: 2008-11-01 20:43
帖子: 17322
系统: 自动检测比较好
送出感谢: 44
接收感谢: 11
[quote="bones7456"]呃...无论如何,还是不建议混源使用. 如果非要装低版本的xserver-xorg,不如下载deb包,手工装.[\ \
学习了 :em11


_________________
谁是我?KL.Uiq8 YinMeng


页首
 用户资料  
 
4 楼 
 文章标题 : Re: [原创]Ati较老显卡在9.04下的官方驱动支持——给予被AMD抛弃的兄弟们支持
帖子发表于 : 2009-05-21 1:08 
头像

注册: 2005-08-14 19:53
帖子: 3998
送出感谢: 1
接收感谢: 2
不要停滞不前阿,开源驱动用的好好的。干吗费这个劲。

等KMS,dri2弄好了,你就知道开源驱动的好处了


页首
 用户资料  
 
5 楼 
 文章标题 : Re: [原创]Ati较老显卡在9.04下的官方驱动支持——给予被AMD抛弃的兄弟们支持
帖子发表于 : 2009-05-21 11:10 

注册: 2009-05-14 17:03
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
问题是现在不还没弄好吗 只能先找个折中的方法凑合一下了


页首
 用户资料  
 
6 楼 
 文章标题 : Re: [原创]Ati较老显卡在9.04下的官方驱动支持——给予被AMD抛弃的兄弟们支持
帖子发表于 : 2009-05-22 17:48 

注册: 2009-05-05 22:43
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
不过3d还是不行!影片播放也不流畅!


页首
 用户资料  
 
7 楼 
 文章标题 : Re: [原创]Ati较老显卡在9.04下的官方驱动支持——给予被AMD抛弃的兄弟们支持
帖子发表于 : 2009-05-22 19:50 
头像

注册: 2008-11-09 18:07
帖子: 580
地址: SCU
送出感谢: 0 次
接收感谢: 0 次
开源驱动不能玩游戏,我的regnum啊。。。


_________________
。。。。。。。。感觉好山寨。。。。。。。。。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译